The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Where did firstboot go?

Discussion in 'General Discussion' started by Asif Nawaz, Jul 30, 2012.

  1. Asif Nawaz

    Asif Nawaz Member

    Jul 30, 2012
    Likes Received:
    Trophy Points:
    London, United Kingdom, United Kingdom
    cPanel Access Level:
    Root Administrator
    Hi folks,

    I installed cPanel on CentOs 6.2. In the process, it got updated to 6.3.

    That's fine, but because of the virtual environment I am running the server in I need to make sure that firstboot is off at all levels.

    However, when I try to run anything pertaining to firstboot from my command prompt, I get nothing.

    In fact, when I run chkconfig --list firstboot, it throws an "error reading information on service firstboot: No such file or directory"

    So, does cPanel remove firstboot from the OS altogether?

  2. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Oct 2, 2010
    Likes Received:
    Trophy Points:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Hello Asif,

    From what I can see, when firstboot rpm is installed, it installs a slew of other rpms such as gnome and avahi-daemon. Some of these services can have deterimental impacts on a system with cPanel installed.

    Here's the full list of dependencies installed when installing firstboot:

    Dependency Installed:
      ConsoleKit.x86_64 0:0.4.1-3.el6                                      ConsoleKit-libs.x86_64 0:0.4.1-3.el6                           GConf2.x86_64 0:2.28.0-6.el6                                            
      ORBit2.x86_64 0:2.14.17-3.1.el6                                      authconfig-gtk.x86_64 0:6.1.12-10.el6                          avahi.x86_64 0:0.6.25-11.el6                                            
      avahi-glib.x86_64 0:0.6.25-11.el6                                    control-center-filesystem.x86_64 1:2.28.1-37.el6               cracklib-python.x86_64 0:2.8.16-4.el6                                   
      dbus.x86_64 1:1.2.24-5.el6_1                                         dbus-glib.x86_64 0:0.86-5.el6                                  dbus-python.x86_64 0:0.83.0-6.1.el6                                     
      desktop-file-utils.x86_64 0:0.15-9.el6                               docbook-dtds.noarch 0:1.0-51.el6                               eggdbus.x86_64 0:0.6-3.el6                                              
      flac.x86_64 0:1.2.1-6.1.el6                                          gnome-doc-utils-stylesheets.noarch 0:0.18.1-1.el6              gnome-icon-theme.noarch 0:2.28.0-2.el6                                  
      gnome-keyring.x86_64 0:2.28.2-7.el6                                  gnome-python2.x86_64 0:2.28.0-3.el6                            gnome-python2-canvas.x86_64 0:2.28.0-3.el6                              
      gnome-themes.noarch 0:2.28.1-6.el6                                   gnome-user-docs.noarch 0:2.28.0-4.el6                          gnome-vfs2.x86_64 0:2.24.2-6.el6                                        
      gstreamer.x86_64 0:0.10.29-1.el6                                     gstreamer-tools.x86_64 0:0.10.29-1.el6                         gtk2-engines.x86_64 0:2.18.4-5.el6.centos                               
      hal-libs.x86_64 0:0.5.14-11.el6                                      libIDL.x86_64 0:0.8.13-2.1.el6                                 libXres.x86_64 0:1.0.4-1.el6                                            
      libasyncns.x86_64 0:0.8-1.1.el6                                      libcanberra.x86_64 0:0.22-1.el6.centos                         libcanberra-gtk2.x86_64 0:0.22-1.el6.centos                             
      libdaemon.x86_64 0:0.14-1.el6                                        libglade2.x86_64 0:2.6.4-3.1.el6                               libgnomecanvas.x86_64 0:2.26.0-4.el6                                    
      libnotify.x86_64 0:0.5.0-1.el6                                       libogg.x86_64 2:1.1.4-2.1.el6                                  libreport.x86_64 0:2.0.9-5.el6.centos                                   
      libreport-gtk.x86_64 0:2.0.9-5.el6.centos                            libreport-newt.x86_64 0:2.0.9-5.el6.centos                     libreport-plugin-reportuploader.x86_64 0:2.0.9-5.el6.centos             
      libreport-plugin-rhtsupport.x86_64 0:2.0.9-5.el6.centos              libreport-python.x86_64 0:2.0.9-5.el6.centos                   libselinux-python.x86_64 0:2.0.94-5.3.el6                               
      libsndfile.x86_64 0:1.0.20-5.el6                                     libtar.x86_64 0:1.2.11-17.el6                                  libuser-python.x86_64 0:0.56.13-5.el6                                   
      libvorbis.x86_64 1:1.2.3-4.el6_2.1                                   libwnck.x86_64 0:2.28.0-3.el6                                  metacity.x86_64 0:2.28.0-23.el6                                         
      mozilla-filesystem.x86_64 0:1.9-5.1.el6                              notification-daemon.x86_64 0:0.5.0-1.el6                       ntp.x86_64 0:4.2.4p8-2.el6.centos                                       
      ntpdate.x86_64 0:4.2.4p8-2.el6.centos                                polkit.x86_64 0:0.96-2.el6_0.1                                 pulseaudio-libs.x86_64 0:0.9.21-14.el6_3                                
      pycairo.x86_64 0:1.8.6-2.1.el6                                       pygobject2.x86_64 0:2.20.0-5.el6                               pygtk2.x86_64 0:2.16.0-3.el6                                            
      pygtk2-libglade.x86_64 0:2.16.0-3.el6                                python-ethtool.x86_64 0:0.6-1.el6                              python-meh.noarch 0:0.12.1-3.el6                                        
      python-slip.noarch 0:0.2.20-1.el6_2                                  pyxf86config.x86_64 0:0.3.37-7.1.el6                           rarian.x86_64 0:0.8.1-5.1.el6                                           
      rarian-compat.x86_64 0:0.8.1-5.1.el6                                 sgml-common.noarch 0:0.6.3-32.el6                              shared-mime-info.x86_64 0:0.70-4.el6                                    
      sound-theme-freedesktop.noarch 0:0.7-3.el6                           startup-notification.x86_64 0:0.10-2.1.el6                     system-config-date.noarch 0:1.9.60-1.el6.centos                         
      system-config-date-docs.noarch 0:1.0.11-1.el6                        system-config-keyboard.x86_64 0:1.3.1-4.el6                    system-config-keyboard-base.x86_64 0:1.3.1-4.el6                        
      system-config-users.noarch 0:1.2.106-5.el6                           system-config-users-docs.noarch 0:1.0.8-1.el6                  usermode-gtk.x86_64 0:1.102-3.el6                                       
      xcb-util.x86_64 0:0.3.6-1.el6                                        xdg-utils.noarch 0:1.0.2-17.20091016cvs.el6                    xml-common.noarch 0:0.6.3-32.el6                                        
      xmlrpc-c.x86_64 0:1.16.24-1209.1840.el6                              xmlrpc-c-client.x86_64 0:1.16.24-1209.1840.el6                 xulrunner.x86_64 0:10.0.6-1.el6.centos                                  
      yelp.x86_64 0:2.28.1-13.el6_2                                        zenity.x86_64 0:2.28.0-1.el6         
    I don't believe this is something we would ever recommend existing on a cPanel machine. I cannot say that we removed it, since I haven't yet tested installing that component and then cPanel, but I can state there are quite a few rpms installed by it that we would consider to be unwanted on cPanel machines.


Share This Page